For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Get Connection Target Fields

Deprecated
POST
https://app.polytomic.com/api/connections/:id/target/fields
POST
/api/connections/:id/target/fields
$curl -X POST https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/target/fields \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "target": "sales.customers"
>}'
1{
2 "data": {
3 "fields": [
4 {
5 "association": false,
6 "createable": true,
7 "description": "Unique identifier for the customer",
8 "encryptable": false,
9 "filterable": true,
10 "id": "customer_id",
11 "identity_functions": [
12 {
13 "id": "Equality",
14 "label": "Equality"
15 }
16 ],
17 "name": "Customer ID",
18 "required": true,
19 "source_type": "varchar",
20 "supports_identity": true,
21 "type": "string",
22 "updateable": false
23 },
24 {
25 "association": false,
26 "createable": true,
27 "description": "Customer's email address",
28 "encryptable": true,
29 "filterable": true,
30 "id": "email",
31 "identity_functions": [
32 {
33 "id": "Equality",
34 "label": "Equality"
35 },
36 {
37 "id": "HashedMatch",
38 "label": "Hashed Match"
39 }
40 ],
41 "name": "Email",
42 "required": false,
43 "source_type": "varchar",
44 "supports_identity": true,
45 "type": "string",
46 "updateable": true
47 },
48 {
49 "association": false,
50 "createable": true,
51 "description": "Date the customer was created",
52 "encryptable": false,
53 "filterable": true,
54 "id": "created_at",
55 "identity_functions": [],
56 "name": "Created At",
57 "required": false,
58 "source_type": "timestamp",
59 "supports_identity": false,
60 "type": "datetime",
61 "updateable": false
62 },
63 {
64 "association": true,
65 "createable": true,
66 "description": "Reference to the customer's assigned sales representative",
67 "encryptable": false,
68 "filterable": true,
69 "id": "sales_rep_id",
70 "identity_functions": [],
71 "name": "Sales Representative",
72 "required": false,
73 "source_type": "int",
74 "supports_identity": false,
75 "type": "integer",
76 "updateable": true
77 }
78 ],
79 "id": "sales.customers",
80 "modes": [
81 {
82 "description": "Create records when they don't exist; don't update existing ones",
83 "label": "Create",
84 "mode": "create",
85 "requires_identity": true,
86 "supports_field_sync_mode": false,
87 "supports_target_filters": false
88 },
89 {
90 "description": "Update existing records; do not create new ones",
91 "label": "Update",
92 "mode": "update",
93 "requires_identity": true,
94 "supports_field_sync_mode": true,
95 "supports_target_filters": true
96 },
97 {
98 "description": "Create new records or update existing ones based on identity",
99 "label": "Upsert",
100 "mode": "upsert",
101 "requires_identity": true,
102 "supports_field_sync_mode": true,
103 "supports_target_filters": true
104 }
105 ],
106 "name": "Customers",
107 "properties": {
108 "does_not_report_operation_counts": false,
109 "mappings_not_required": false,
110 "new_target_label": "Customer Table",
111 "optional_target_mappings": false,
112 "primary_metadata_object": "customer_metadata",
113 "requires_configuration": false,
114 "supports_field_creation": true,
115 "supports_field_encryption": true,
116 "supports_field_type_selection": true,
117 "supports_identity_field_creation": true,
118 "supports_target_filters": true,
119 "target_creator": false,
120 "use_field_names_as_labels": false
121 },
122 "refreshed_at": "2024-04-20T15:45:00Z"
123 }
124}

Returns the fields available on a specific target object on a connection.

🚧 Deprecated

Use POST /api/connections/{id}/modelsync/target/fields instead. Available in API version 2024-02-08 and later.

Was this page helpful?
Previous

Create Shared Connection

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
targetstringRequired
refreshbooleanOptional

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error